#!/bin/sh
rxtx=`echo $1|tr '[:lower:]' '[:upper:]'`
if [ "$rxtx" != "TX" ]; then
  rxtx="RX"
fi
function show_usage () {
  x=`ifconfig ppp0|grep "$rxtx packets"|sed 's/.* packets:\(.*\) errors.*/\1/'` 
  y=`ifconfig ppp1|grep "$rxtx packets"|sed 's/.* packets:\(.*\) errors.*/\1/'`
  echo "$rxtx ppp0:ppp1 = $x:$y ($((x*100/y))%)"
}

while [ 1 ]; do
  show_usage
  if [ "$2" = "-loop" ]; then
    sleep 10
  else
    break
  fi
done
